#!/bin/sh
os=`uname`
/quadstorvtl/pgsqlsys/etc/pgsql stop > /dev/null 2>&1

postgresconf="/quadstorvtl/pgsqlsys/data/postgresql.conf"

grep -q "listen_addresses=''" $postgresconf
if [ "$?" != "0" -a -f $postgresconf ]; then
	echo "listen_addresses=''" >> $postgresconf
fi

/quadstorvtl/pgsqlsys/etc/pgsql start > /dev/null 2>&1

if [ -x /sbin/runuser ]
then
    SU=/sbin/runuser
else
    SU=su
fi

rm -f /tmp/qstorpgdbpatch.log

export PGPORT=9985
if [ "$os" = "FreeBSD" ]; then
	su -l postgres -c 'psql -p 9985 -f /quadstorvtl/pgsqlsys/share/qsdbpatch.sql qsdb >> /tmp/qstorpgdbpatch.log 2>&1'
else
	$SU -l postgres -c "psql -p 9985 -f /quadstorvtl/pgsqlsys/share/qsdbpatch.sql qsdb >> /tmp/qstorpgdbpatch.log 2>&1"
fi

/quadstorvtl/pgsqlsys/etc/pgsql stop > /dev/null 2>&1
