ALTER TABLE FCCONFIG ADD COLUMN WWPN1 VARCHAR(40) default NULL;
ALTER TABLE PHYSSTOR ADD COLUMN GROUPID INT default 0;
ALTER TABLE VTLS ADD COLUMN LUNID INT default 0;
ALTER TABLE VDRIVES ADD COLUMN LUNID INT default 0;
ALTER TABLE VTLS ADD COLUMN DTSTART INT default 0;
ALTER TABLE VTLS ADD COLUMN STSTART INT default 0;
ALTER TABLE VTLS ADD COLUMN IESTART INT default 0;
ALTER TABLE STORAGEGROUP ADD COLUMN VERIFY INT default 0;
ALTER TABLE STORAGEGROUP ADD COLUMN STARTTIME INT default 0;
ALTER TABLE STORAGEGROUP ADD COLUMN ENDTIME INT default 0;
ALTER TABLE VTLS ADD COLUMN DISDEDUPE INT default 0;
ALTER TABLE FCCONFIG ADD COLUMN DRIVEID INT default 0;
ALTER TABLE STORAGEGROUP ADD COLUMN DEDUPEBLOCKSIZE INT default 0;
ALTER TABLE VTLS ADD COLUMN DEDUPEBLOCKSIZE INT default 0;

CREATE TABLE EXPJOBS (
	EXPID BIGSERIAL UNIQUE,
	EXPDATE VARCHAR(32) default NULL,
	LABEL VARCHAR(40) default NULL,
	POOL VARCHAR(40) default NULL,
	VTLNAME VARCHAR(40) default NULL,
	FNAME VARCHAR(4096) default NULL,
	TARGETDIR VARCHAR(4096) default NULL,
	CACHEDIR VARCHAR(4096) default NULL,
	TARGETCMD VARCHAR(4096) default NULL,
	CHUNKSIZE BIGINT default NULL,
	PRIMARY KEY (EXPID)
);

ALTER SEQUENCE expjobs_expid_seq MAXVALUE 9223372036854775807 CYCLE;

CREATE TABLE FCHOST (
	HOST VARCHAR(256) default NULL,
	WWPN VARCHAR(40) default NULL
);
ALTER TABLE EXPJOBS ADD COLUMN DATACHUNKS INT default 0;

CREATE TABLE FCPORT (
	WWN VARCHAR(40) default NULL,
	WWPN VARCHAR(40) default NULL,
	PMODE INT default NULL
);

ALTER TABLE VTLS ADD COLUMN REPHOST VARCHAR(128) default NULL;
ALTER TABLE FCCONFIG ADD COLUMN TARGETWWPN VARCHAR(40) default NULL;
ALTER TABLE EXPJOBS ADD COLUMN KEY VARCHAR(4096) default NULL;
ALTER TABLE VTLS ADD COLUMN COMPRESSION INT default 1;
ALTER TABLE VTLS ADD COLUMN REPLICATION INT default 1;
ALTER TABLE EXPJOBS ALTER COLUMN CHUNKSIZE SET DATA TYPE BIGINT;
ALTER TABLE SYSINFO ADD COLUMN DALIGN INT default 0;
ALTER TABLE EXPJOBS ADD COLUMN DATASIZE BIGINT default 0;
ALTER TABLE EXPJOBS ADD COLUMN EXPORTSIZE BIGINT default 0;
ALTER TABLE VTLS ADD COLUMN REPVTL VARCHAR(40) default NULL;

CREATE TABLE REPJOBS (
	REPID BIGSERIAL UNIQUE,
	STARTTIME VARCHAR(32) default NULL,
	SRC VARCHAR(40) default NULL,
	DEST VARCHAR(40) default NULL,
	SRCPOOL VARCHAR(40) default NULL,
	DESTPOOL VARCHAR(40) default NULL,
	SRCVTL VARCHAR(40) default NULL,
	DESTVTL VARCHAR(40) default NULL,
	ELAPSEDMSECS BIGINT default 0,
	WRITEMSECS BIGINT default 0,
	DESTADDR BIGINT default 0,
	SRCADDR BIGINT default 0,
	DEDUPEDBLOCKS BIGINT default 0,
	TOTALBYTES BIGINT default 0,
	ENCRYPTEDBYTES BIGINT default 0,
	BYTESWRITTEN BIGINT default 0,
	PRIMARY KEY (REPID)
);

ALTER TABLE EXPJOBS ADD COLUMN RCLONEBUF bytea default NULL;
ALTER TABLE EXPJOBS ADD COLUMN RCLONE INT default 0;
ALTER TABLE PHYSSTOR ADD COLUMN DISABLED INT default 0;
ALTER TABLE SYSINFO ADD COLUMN LASTBID INT default 0;

CREATE TABLE RETRYEXPJOBS (
	EXPID BIGSERIAL UNIQUE,
	EXPDATE VARCHAR(32) default NULL,
	LABEL VARCHAR(40) default NULL,
	POOL VARCHAR(40) default NULL,
	VTLNAME VARCHAR(40) default NULL,
	FNAME VARCHAR(4096) default NULL,
	TARGETDIR VARCHAR(4096) default NULL,
	CACHEDIR VARCHAR(4096) default NULL,
	TARGETCMD VARCHAR(4096) default NULL,
	CHUNKSIZE BIGINT default NULL,
	DATACHUNKS INT default 0,
	KEY VARCHAR(4096) default NULL,
	DATASIZE BIGINT default 0,
	EXPORTSIZE BIGINT default 0,
	RCLONEBUF bytea default NULL,
	RCLONE INT default 0
);
ALTER SEQUENCE retryexpjobs_expid_seq MAXVALUE 9223372036854775807 CYCLE;

CREATE TABLE FSCHEDULE (
	GROUPID INT default -1,
	MONS INT default 0,
	MONE INT default 0,
	MONK INT default 0,
	TUES INT default 0,
	TUEE INT default 0,
	TUEK INT default 0,
	WEDS INT default 0,
	WEDE INT default 0,
	WEDK INT default 0,
	THUS INT default 0,
	THUE INT default 0,
	THUK INT default 0,
	FRIS INT default 0,
	FRIE INT default 0,
	FRIK INT default 0,
	SATS INT default 0,
	SATE INT default 0,
	SATK INT default 0,
	SUNS INT default 0,
	SUNE INT default 0,
	SUNK INT default 0,
	FBANDWIDTH BIGINT default 0,
	FOREIGN KEY (GROUPID) REFERENCES STORAGEGROUP (GROUPID) ON DELETE CASCADE
);
ALTER TABLE FSCHEDULE ADD COLUMN MONB INT default 0;
ALTER TABLE FSCHEDULE ADD COLUMN TUEB INT default 0;
ALTER TABLE FSCHEDULE ADD COLUMN WEDB INT default 0;
ALTER TABLE FSCHEDULE ADD COLUMN THUB INT default 0;
ALTER TABLE FSCHEDULE ADD COLUMN FRIB INT default 0;
ALTER TABLE FSCHEDULE ADD COLUMN SATB INT default 0;
ALTER TABLE FSCHEDULE ADD COLUMN SUNB INT default 0;
ALTER TABLE FSCHEDULE ADD COLUMN PERTHREAD INT default 0;
ALTER TABLE STORAGEGROUP ADD COLUMN ISFILE INT default 0;
ALTER TABLE STORAGEGROUP ADD COLUMN POOLDIR VARCHAR(1024) default NULL;
ALTER TABLE STORAGEGROUP ADD COLUMN AUTODELETE INT default 1;
ALTER TABLE STORAGEGROUP ADD COLUMN DISMOUNTEXPORT INT default 0;

CREATE TABLE MAPPEDSLOT (
	LIBID INT default NULL,
	TLID INT default NULL,
	BARCODE VARCHAR(64) default NULL,
	FOREIGN KEY (LIBID) REFERENCES PHYSLIB (LIBID) ON DELETE CASCADE
);

CREATE TABLE AUTHT (
	USR VARCHAR(64) default NULL,
	PASSWD VARCHAR(256) default NULL,
	RO INT default 0
);

ALTER TABLE VCARTRIDGE ADD COLUMN DESCRIPT VARCHAR(256) default NULL;

CREATE TABLE TAPEJOBS (
	EXPID BIGSERIAL UNIQUE,
	EXPDATE VARCHAR(32) default NULL,
	LABEL VARCHAR(40) default NULL,
	DESTLABEL VARCHAR(40) default NULL,
	POOL VARCHAR(40) default NULL,
	VTLNAME VARCHAR(40) default NULL,
	READSECS INT default 0,
	WRITESECS INT default 0,
	TOTALBYTES BIGINT default 0,
	PRIMARY KEY (EXPID)
);

ALTER TABLE RETRYEXPJOBS ADD COLUMN COMPRESSION INT default 1;
ALTER TABLE RETRYEXPJOBS ADD COLUMN DELETEVCART INT default 0;
ALTER TABLE RETRYEXPJOBS ADD COLUMN CREATEVCART INT default 0;

CREATE TABLE ESCHEDULE (
	GROUPID INT default -1,
	MONS INT default 0,
	MONE INT default 0,
	MONK INT default 0,
	TUES INT default 0,
	TUEE INT default 0,
	TUEK INT default 0,
	WEDS INT default 0,
	WEDE INT default 0,
	WEDK INT default 0,
	THUS INT default 0,
	THUE INT default 0,
	THUK INT default 0,
	FRIS INT default 0,
	FRIE INT default 0,
	FRIK INT default 0,
	SATS INT default 0,
	SATE INT default 0,
	SATK INT default 0,
	SUNS INT default 0,
	SUNE INT default 0,
	SUNK INT default 0,
	FOREIGN KEY (GROUPID) REFERENCES STORAGEGROUP (GROUPID) ON DELETE CASCADE
);
ALTER TABLE STORAGEGROUP ADD COLUMN DISABLEUNCOMPV2 INT default 0;
ALTER TABLE PHYSSTOR ADD COLUMN NAAIDLU bytea default NULL;
ALTER TABLE PHYSLIB ADD COLUMN NAAIDLU bytea default NULL;
ALTER TABLE PHYSDRIVE ADD COLUMN NAAIDLU bytea default NULL;
ALTER TABLE FCPORT ADD COLUMN CHANGER INT default 0;

ALTER TABLE EXPJOBS ADD COLUMN ELAPSEDSECS BIGINT default 0;
ALTER TABLE EXPJOBS ADD COLUMN READSECS BIGINT default 0;
ALTER TABLE EXPJOBS ADD COLUMN WRITESECS BIGINT default 0;
ALTER TABLE EXPJOBS ADD COLUMN EXPORTSECS BIGINT default 0;
ALTER TABLE VTLS ADD COLUMN LIBRARYMODE INT default 0;
ALTER TABLE ISCSICONF ALTER COLUMN INCOMINGUSER SET DATA TYPE VARCHAR(256);
ALTER TABLE ISCSICONF ALTER COLUMN INCOMINGPASSWD SET DATA TYPE VARCHAR(256);
ALTER TABLE ISCSICONF ALTER COLUMN OUTGOINGUSER SET DATA TYPE VARCHAR(256);
ALTER TABLE ISCSICONF ALTER COLUMN OUTGOINGPASSWD SET DATA TYPE VARCHAR(256);
ALTER TABLE AUTHT ALTER COLUMN USR SET DATA TYPE VARCHAR(256);

CREATE TABLE ISCSICHAP (
	TLID INT default NULL,
	TARGETID INT default NULL,
	CHAPDIR INT default 0,
	CHAPUSER VARCHAR(256) default NULL,
	CHAPPASSWD VARCHAR(256) default NULL,
	CHAPIQN VARCHAR(256) default NULL,
	FOREIGN KEY (TLID) REFERENCES VTLS (VTLID) ON DELETE CASCADE
);

CREATE TABLE BSCHEDULE (
	GROUPID INT default -1,
	MONS INT default 0,
	MONE INT default 0,
	MONK INT default 0,
	MONB INT default 0,
	TUES INT default 0,
	TUEE INT default 0,
	TUEK INT default 0,
	TUEB INT default 0,
	WEDS INT default 0,
	WEDE INT default 0,
	WEDK INT default 0,
	WEDB INT default 0,
	THUS INT default 0,
	THUE INT default 0,
	THUK INT default 0,
	THUB INT default 0,
	FRIS INT default 0,
	FRIE INT default 0,
	FRIK INT default 0,
	FRIB INT default 0,
	SATS INT default 0,
	SATE INT default 0,
	SATK INT default 0,
	SATB INT default 0,
	SUNS INT default 0,
	SUNE INT default 0,
	SUNK INT default 0,
	SUNB INT default 0,
	PERTHREAD INT default 0,
	FBANDWIDTH BIGINT default 0,
	FOREIGN KEY (GROUPID) REFERENCES STORAGEGROUP (GROUPID) ON DELETE CASCADE
);

ALTER TABLE VTLS ADD COLUMN DELREMOTEVCART INT default 0;
ALTER TABLE VTLS ADD COLUMN EXPIREREMOTEVCART INT default 0;
ALTER TABLE VTLS ADD COLUMN FILEEXPORT INT default 1;

CREATE TABLE DELETEJOBS (
	EXPID BIGSERIAL UNIQUE,
	EXPDATE VARCHAR(32) default NULL,
	LABEL VARCHAR(40) default NULL,
	POOL VARCHAR(40) default NULL,
	VTLNAME VARCHAR(40) default NULL,
	PRIMARY KEY (EXPID)
);
ALTER SEQUENCE deletejobs_expid_seq MAXVALUE 9223372036854775807 CYCLE;
ALTER TABLE EXPJOBS ADD COLUMN VCARTTYPE INT default 0;
ALTER TABLE EXPJOBS ADD COLUMN VCARTSIZE BIGINT default 0;
ALTER TABLE EXPJOBS ADD COLUMN WORM INT default 0;
ALTER TABLE EXPJOBS ADD COLUMN LTFS INT default 0;

CREATE TABLE INQUIRY (
	TLID INT default NULL,
	TARGETID INT default NULL,
	INQUIRYCMD INT default NULL,
	INQUIRYBUF bytea default NULL,
	FOREIGN KEY (TLID) REFERENCES VTLS (VTLID) ON DELETE CASCADE
);

ALTER TABLE VTLS ADD COLUMN VENDOR VARCHAR(16) default NULL;
ALTER TABLE VTLS ADD COLUMN PRODUCT VARCHAR(32) default NULL;
ALTER TABLE VTLS ADD COLUMN REVISION VARCHAR(8) default NULL;
ALTER TABLE VDRIVES ADD COLUMN VENDOR VARCHAR(16) default NULL;
ALTER TABLE VDRIVES ADD COLUMN PRODUCT VARCHAR(32) default NULL;
ALTER TABLE VDRIVES ADD COLUMN REVISION VARCHAR(8) default NULL;

CREATE TABLE CHANGERDEF (
	NAME VARCHAR(40) UNIQUE,
	VENDOR VARCHAR(16) default NULL,
	PRODUCT VARCHAR(32) default NULL,
	REVISION VARCHAR(8) default NULL,
	SERIALSUFFIX VARCHAR(32) default NULL,
	SERIALPREFIX VARCHAR(32) default NULL,
	SERIALLEN INT default 0,
	INQUIRYLEN INT default 0,
	DTSTART INT default 0,
	STSTART INT default 0,
	IESTART INT default 0,
	AVOLTAG INT default 0
);

CREATE TABLE DRIVEDEF (
	NAME VARCHAR(40) UNIQUE,
	VENDOR VARCHAR(16) default NULL,
	PRODUCT VARCHAR(32) default NULL,
	REVISION VARCHAR(8) default NULL,
	SERIALSUFFIX VARCHAR(32) default NULL,
	SERIALPREFIX VARCHAR(32) default NULL,
	SERIALLEN INT default 0,
	INQUIRYLEN INT default 0,
	MEDIATYPE INT default 0
);

ALTER TABLE VTLS ADD COLUMN AVOLTAG INT default 0;
ALTER TABLE VTLS ADD COLUMN SERIALLEN INT default 0;
ALTER TABLE VTLS ADD COLUMN INQUIRYLEN INT default 0;
ALTER TABLE VTLS ADD COLUMN SERIALSUFFIX VARCHAR(32) default NULL;
ALTER TABLE VTLS ADD COLUMN SERIALPREFIX VARCHAR(32) default NULL;
ALTER TABLE VDRIVES ADD COLUMN MEDIATYPE INT default 0;
ALTER TABLE VDRIVES ADD COLUMN SERIALLEN INT default 0;
ALTER TABLE VDRIVES ADD COLUMN INQUIRYLEN INT default 0;
ALTER TABLE VDRIVES ADD COLUMN SERIALSUFFIX VARCHAR(32) default NULL;
ALTER TABLE VDRIVES ADD COLUMN SERIALPREFIX VARCHAR(32) default NULL;
ALTER TABLE INQUIRY ADD COLUMN FILEPATH VARCHAR(1024) default NULL;

CREATE TABLE CHANGERINQUIRY (
	NAME VARCHAR(40),
	INQUIRYCMD INT default NULL,
	FILEPATH VARCHAR(1024) default NULL,
	FOREIGN KEY (NAME) REFERENCES CHANGERDEF (NAME) ON DELETE CASCADE
);

CREATE TABLE DRIVEINQUIRY (
	NAME VARCHAR(40),
	INQUIRYCMD INT default NULL,
	FILEPATH VARCHAR(1024) default NULL,
	FOREIGN KEY (NAME) REFERENCES DRIVEDEF (NAME) ON DELETE CASCADE
);

