#!/bin/bash
targetdir=""
barcode=""
rcloneconf="/quadstorvtl/etc/rclone.conf"
locallog=/quadstorvtl/tmp/expire.log

while getopts "t:p:R:" opt; do
	case $opt in
	t)
		targetdir="$OPTARG"
		;;
	p)
		barcode="$OPTARG"
		;;
	R)
		rcloneconf="$OPTARG"
		;;
	esac
done

if [ "$targetdir" = "" ]; then
	echo "Warn: target dir not specified" >> $locallog
	exit 22
fi

if [ "$barcode" = "" ]; then
	echo "Warn: target dir not specified" >> $locallog
	exit 22
fi

echo "targetdir: $targetdir barcode: $barcode rcloneconf $rcloneconf" >> $locallog
# Source rclone.conf to override defaults
if [ -f $rcloneconf ]; then
	. $rcloneconf
fi

dir=`dirname $0`
. $dir/rcloneops.sh

if  [ "$remotename" = "" ]; then
	echo "Error: remote name not specified" >> $locallog
	exit 22 
fi

if [ -f /quadstorvtl/etc/env.conf ]; then
	. /quadstorvtl/etc/env.conf
fi

rclone_expire $remotename $targetdir $locallog $maxdeleteretries
