#!/bin/bash

err=0
export PATH="/quadstorvtl/pgsql/bin:$PATH"

if [ -f /quadstorvtl/pgsql/data/vtfixchap ]; then
	exit 0
fi

/quadstorvtl/pgsql/etc/pgsql start > /dev/null 2>&1
if [ "$?" != "0" ]; then
	echo "Cannot start database"
	exit 0
fi

incominglist=`echo "select tlid,targetid,incominguser,incomingpasswd from iscsiconf where incominguser!=''" | psql -F' ' -A -t -p 9985 -U postgres qsdb`

while read -r line; do
	tlid=`echo $line | awk '{print $1}'`
	targetid=`echo $line | awk '{print $2}'`
	user=`echo $line | awk '{print $3}'`
	password=`echo $line | awk '{print $4}'`
	echo "tlid: $tlid targetid: $targetid user: $user password: $password"

	sqlout=`echo "select targetid from iscsichap where tlid='${tlid}' and (targetid='${targetid}' or targetid='65535') and chapdir='0'" | psql -F' ' -A -t -p 9985 -U postgres qsdb`
	if [ "$sqlout" != "" ]; then
		continue
	fi

	if [ "$targetid" = "0" ]; then
		targetid="65535"
	fi
	echo "insert into iscsichap (tlid,targetid,chapdir,chapuser,chappasswd) values('${tlid}', '${targetid}', '0', '${user}', '${password}')" | psql -p 9985 -U postgres qsdb > /dev/null
	if [ "$?" != "0" ]; then
		err=1
		continue
	fi

done <<< "$incominglist"

outgoinglist=`echo "select tlid,targetid,outgoinguser,outgoingpasswd from iscsiconf where outgoinguser!=''" | psql -F' ' -A -t -p 9985 -U postgres qsdb`

while read -r line; do
	tlid=`echo $line | awk '{print $1}'`
	targetid=`echo $line | awk '{print $2}'`
	user=`echo $line | awk '{print $3}'`
	password=`echo $line | awk '{print $4}'`
	echo "tlid: $tlid targetid: $targetid user: $user password: $password"

	sqlout=`echo "select targetid from iscsichap where tlid='${tlid}' and (targetid='${targetid}' or targetid='65535') and chapdir='1'" | psql -F' ' -A -t -p 9985 -U postgres qsdb`
	if [ "$sqlout" != "" ]; then
		continue
	fi

	if [ "$targetid" = "0" ]; then
		targetid="65535"
	fi
	echo "insert into iscsichap (tlid,targetid,chapdir,chapuser,chappasswd) values('${tlid}', '${targetid}', '1', '${user}', '${password}')" | psql -p 9985 -U postgres qsdb > /dev/null
	if [ "$?" != "0" ]; then
		err=1
		continue
	fi

done <<< "$outgoinglist"

if [ "$err" != "0" ]; then
	touch /quadstorvtl/pgsql/data/vtfixchap
fi
