#!/bin/bash
set -x

if [ $# -lt 1 ]; then
	echo "ERROR: Invalid number of arguments $#"
	echo "Usage: sqlrestorefilejobs.sh <output file>"
	exit 1
fi

fname=$1
ext=`echo ${fname##*.}`
if [ "$ext" = "gz" ]; then
	gunzip $1
	fname=`echo ${fname%.*}`
fi

chmod +r $fname

if [ -x /sbin/runuser ]; then
    SU=/sbin/runuser
else
    SU=su
fi

if [ -d /quadstorvtl/pgsqlsys ]; then
	if [ "$2" = "1" ]; then
		$SU -l postgres -c "echo 'delete from expjobs *' | psql -p 9985 qsdb > /dev/null"
	fi
	$SU -l postgres -c "psql  -p 9985 -f ${fname} qsdb > /dev/null"
else
	if [ "$2" = "1" ]; then
		$SU -l vtdbuser -c "echo 'delete from expjobs *' | /quadstorvtl/pgsql/bin/psql qsdb > /dev/null"
	fi
	$SU -l vtdbuser -c "/quadstorvtl/pgsql/bin/psql -f ${fname} qsdb > /dev/null"
fi
