#ifndef QS_IOCTLDEFS_H_
#define QS_IOCTLDEFS_H_ 1

#include "commondefs.h"

/* List of IOCTLS */
#define TL_MAGIC			'k'
#define FC_MAGIC			'K'

#define TLTARGIOCNEWBLKDEV		_IOWR(TL_MAGIC, 1, struct bdev_info)
#define TLTARGIOCDELBLKDEV		_IOWR(TL_MAGIC, 2, struct bdev_info)
#define TLTARGIOCGETBLKDEV		_IOWR(TL_MAGIC, 3, struct bdev_info)
#define TLTARGIOCDAEMONSETINFO		_IOWR(TL_MAGIC, 4, struct mdaemon_info)
#define TLTARGIOCCHECKDISKS		_IO(TL_MAGIC, 5)
#define TLTARGIOCLOADDONE		_IO(TL_MAGIC, 6) 
#define TLTARGIOCUNLOAD			_IO(TL_MAGIC, 18) 
#define TLTARGIOCADDGROUP		_IOWR(TL_MAGIC, 32, struct group_conf)
#define TLTARGIOCDELETEGROUP		_IOWR(TL_MAGIC, 33, struct group_conf)
#define TLTARGIOCADDFCRULE		_IOWR(TL_MAGIC, 37, struct fc_rule_config)
#define TLTARGIOCREMOVEFCRULE		_IOWR(TL_MAGIC, 38, struct fc_rule_config)
#define TLTARGIOCUNMAPCONFIG		_IOWR(TL_MAGIC, 40, struct bdev_info)
#define TLTARGIOCRENAMEGROUP		_IOWR(TL_MAGIC, 41, struct group_conf)
#define TLTARGIOCNEWVCARTRIDGE		_IOWR(TL_MAGIC, 44, struct vcartridge)
#define TLTARGIOCLOADVCARTRIDGE		_IOWR(TL_MAGIC, 45, struct vcartridge)
#define TLTARGIOCDELETEVCARTRIDGE	_IOWR(TL_MAGIC, 46, struct vcartridge)
#define TLTARGIOCGETVCARTRIDGEINFO	_IOWR(TL_MAGIC, 47, struct vcartridge)
#define TLTARGIOCNEWDEVICE		_IOWR(TL_MAGIC, 48, struct vdeviceinfo)
#define TLTARGIOCDELETEDEVICE		_IOWR(TL_MAGIC, 49, struct vdeviceinfo)
#define TLTARGIOCMODDEVICE		_IOWR(TL_MAGIC, 50, struct vdeviceinfo)
#define TLTARGIOCGETDEVICEINFO		_IOWR(TL_MAGIC, 51, struct vdeviceinfo)
#define TLTARGIOCLOADDRIVE		_IOWR(TL_MAGIC, 52, struct vdeviceinfo)
#define TLTARGIOCRELOADEXPORT		_IOWR(TL_MAGIC, 53, struct vcartridge)
#define TLTARGIOCRESETSTATS		_IOWR(TL_MAGIC, 54, struct vdeviceinfo)
#define TLTARGIOCVDEVICEDUMPBUFFER	_IOWR(TL_MAGIC, 55, struct vdevicedump)
#define TLTARGIOCMODIFYSENSE		_IOWR(TL_MAGIC, 56, struct sense_modify)
#define TLTARGIOCDEVICECTL		_IOWR(TL_MAGIC, 57, struct vdeviceinfo)
#define TLTARGIOCLIBCTL			_IOWR(TL_MAGIC, 58, struct libctl)
#define TLTARGIOCDDTABLELOADSTATUS	_IO(TL_MAGIC, 59) 
#define TLTARGIOCQLOADDONE		_IO(TL_MAGIC, 60) 
#define TLTARGIOCMIRRORVCARTRIDGE	_IOWR(TL_MAGIC, 61, struct mirror_config)
#define TLTARGIOCMIRRORSTATUS		_IOWR(TL_MAGIC, 62, struct mirror_config)
#define TLTARGIOCMIRRORCANCEL		_IOWR(TL_MAGIC, 63, struct mirror_config)
#define TLTARGIOCNODECONFIG		_IOWR(TL_MAGIC, 64, struct node_config) 
#define TLTARGIOCMAPVTL			_IOWR(TL_MAGIC, 65, struct ieinfo_common)
#define TLTARGIOCVAULTVCARTRIDGE	_IOWR(TL_MAGIC, 66, struct vcartridge)
#define TLTARGIOCREPLICATIONCLEAR	_IOWR(TL_MAGIC, 67, struct vcartridge)
#define TLTARGIOCEXPORTCLEAR		_IOWR(TL_MAGIC, 68, struct vcartridge)
#define TLTARGIOCMODIFYVCARTRIDGE	_IOWR(TL_MAGIC, 69, struct vcartridge)
#define TLTARGIOCSTARTUNMAP		_IOWR(TL_MAGIC, 70, struct bdev_info)
#define TLTARGIOCSTOPUNMAP		_IOWR(TL_MAGIC, 71, struct bdev_info)
#define TLTARGIOCDDTABLEALIGN		_IO(TL_MAGIC, 72)
#define TLTARGIOCMODBLKDEV		_IOWR(TL_MAGIC, 73, struct bdev_info)
#define TLTARGIOCMODIFYFCRULE		_IOWR(TL_MAGIC, 74, struct fc_rule_config)
#define TLTARGIOCEXPORTTAPE		_IOWR(TL_MAGIC, 75, struct vcartridge)
#define TLTARGIOCLDEVDISABLE		_IOWR(TL_MAGIC, 76, struct ldev_info)
#define TLTARGIOCLDEVDELETE		_IOWR(TL_MAGIC, 77, struct ldev_info)
#define TLTARGIOCLDEVUPDATE		_IOWR(TL_MAGIC, 78, struct ldev_info)
#define TLTARGIOCLDEVINIT		_IO(TL_MAGIC, 79) 
#define TLTARGIOCLDEVBIOREQ		_IOW(TL_MAGIC, 80, struct bio_spec)
#define TLTARGIOCLDEVBDEVOPEN		_IOWR(TL_MAGIC, 81, struct bdev_spec)
#define TLTARGIOCLDEVBDEVCLOSE		_IOWR(TL_MAGIC, 82, struct bdev_spec)
#define TLTARGIOCCTIOMMAPSETUP		_IOWR(TL_MAGIC, 83, struct ctio_mmap_setup)
#define TLTARGIOCCTIOWAKEUP		_IOW(TL_MAGIC, 84, struct ctio_wakeup)
#define TLTARGIOCCOMPUNCOMP		_IOW(TL_MAGIC, 85, struct comp_spec)
#define TLTARGIOCLDEVDETACH		_IO(TL_MAGIC, 86) 
#define TLTARGIOCLDEVBDEVSYNC		_IOW(TL_MAGIC, 87, struct bdev_sync)
#define TLTARGIOCLDEVFILEOPEN		_IOWR(TL_MAGIC, 88, struct file_spec)
#define TLTARGIOCLDEVFILECLOSE		_IOW(TL_MAGIC, 89, struct file_spec)
#define TLTARGIOCLDEVFILETRUNCATE	_IOW(TL_MAGIC, 90, struct file_spec)
#define TLTARGIOCLDEVFILESYNC		_IOW(TL_MAGIC, 91, struct file_spec)
#define TLTARGIOCBIOMSGMMAPSETUP	_IOWR(TL_MAGIC, 92, struct bio_mmap_setup)
#define TLTARGIOCBIOMSGMMAPEXIT		_IO(TL_MAGIC, 93)
#define TLTARGIOCCOREDEVLOADDONE	_IO(TL_MAGIC, 94)
#define TLTARGIOCLDEVBDEVVALIDATE	_IOWR(TL_MAGIC, 95, struct bdev_spec)
#define TLTARGIOCLDEVCTIOSETUP		_IOWR(TL_MAGIC, 96, struct ctio_spec)
#define TLTARGIOCLDEVTDEVOPEN		_IOWR(TL_MAGIC, 97, struct bdev_spec)
#define TLTARGIOCLDEVTDEVCLOSE		_IOWR(TL_MAGIC, 98, struct bdev_spec)
#define TLTARGIOCLDEVRELAYCMD		_IOWR(TL_MAGIC, 99, struct ctio_tape_req)
#define TLTARGIOCLDEVNEW		_IOWR(TL_MAGIC, 100, struct ldev_info)
#define TLTARGIOCLDEVSOCKCREATE		_IOWR(TL_MAGIC, 101, struct sock_spec)
#define TLTARGIOCLDEVSOCKCREATELOCAL	_IOWR(TL_MAGIC, 102, struct sock_spec)
#define TLTARGIOCLDEVSOCKCONNECT	_IOWR(TL_MAGIC, 103, struct sock_spec)
#define TLTARGIOCLDEVSOCKCONNECTLOCAL	_IOWR(TL_MAGIC, 104, struct sock_spec)
#define TLTARGIOCLDEVSOCKREAD		_IOWR(TL_MAGIC, 105, struct sock_data_spec)
#define TLTARGIOCLDEVSOCKWRITE		_IOWR(TL_MAGIC, 106, struct sock_data_spec)
#define TLTARGIOCLDEVSOCKSHUTDOWN	_IOWR(TL_MAGIC, 107, struct sock_spec)
#define TLTARGIOCLDEVSOCKCLOSE		_IOWR(TL_MAGIC, 108, struct sock_spec)
#define TLTARGIOCLDEVSOCKACCEPT		_IOWR(TL_MAGIC, 109, struct sock_spec)
#define TLTARGIOCLDEVSOCKBIND		_IOWR(TL_MAGIC, 110, struct sock_spec)
#define TLTARGIOCLDEVSOCKHASWRITESPACE	_IOWR(TL_MAGIC, 111, struct sock_spec)
#define TLTARGIOCLDEVSOCKISCONNECTED	_IOWR(TL_MAGIC, 112, struct sock_spec)
#define TLTARGIOCLDEVSOCKPOLL		_IOWR(TL_MAGIC, 113, struct sock_spec)
#define TLTARGIOCLDEVSOCKHASREADDATA	_IOWR(TL_MAGIC, 114, struct sock_spec)
#define TLTARGIOCLDEVSOCKNOPUSH		_IOWR(TL_MAGIC, 115, struct sock_spec)
#define TLTARGIOCUMAINFO		_IOWR(TL_MAGIC, 116, struct uma_spec)
#define TLTARGIOCLDEVBIOUNMAP		_IOW(TL_MAGIC, 117, struct bio_spec)
#define TLTARGIOCLDEVBDEVUNMAPSUPPORT	_IOW(TL_MAGIC, 118, struct bio_spec)

#define TLTARGIOCMAPSLOT		_IOWR(TL_MAGIC, 183, struct map_slot)
#define TLTARGIOCUNMAPSLOT		_IOWR(TL_MAGIC, 184, struct map_slot)
#define TLTARGIOCCLONEVCARTRIDGE	_IOWR(TL_MAGIC, 185, struct clone_config)
#define TLTARGIOCCLONESTATUS		_IOWR(TL_MAGIC, 186, struct clone_config)
#define TLTARGIOCCLONECANCEL		_IOWR(TL_MAGIC, 187, struct clone_config)
#define TLTARGIOCTAPEREAD		_IOWR(TL_MAGIC, 188, struct tapebuf)
#define TLTARGIOCTAPEWRITE		_IOWR(TL_MAGIC, 189, struct tapebuf)
#define TLTARGIOCTAPECMD		_IOWR(TL_MAGIC, 190, struct tapecmd)
#define TLTARGIOCMODIFYELEMENTCOUNT	_IOWR(TL_MAGIC, 191, struct vdeviceinfo)
#define TLTARGIOCDDTABLEFILL		_IO(TL_MAGIC, 192)
#define TLTARGIOCCLEARREPEXP		_IOWR(TL_MAGIC, 193, struct vcartridge)
#define TLTARGIOCMODIFYSERIAL		_IOWR(TL_MAGIC, 194, struct vdeviceinfo)
#define TLTARGIOCADDINQUIRY		_IOWR(TL_MAGIC, 195, struct vdeviceinfo)
#define TLTARGIOCDELETEINQUIRY		_IOWR(TL_MAGIC, 196, struct vdeviceinfo)


#define FCTARGIOCENABLEHBA		_IOWR(FC_MAGIC, 181, struct hba_info)
#define FCTARGIOCHBADEBUG		_IOWR(FC_MAGIC, 182, struct hba_info)
#endif
